package com.qmth.distributed.print.business.bean.result.analyze;

import com.qmth.teachcloud.common.enums.QuestionType;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 分析试卷结构列表对象
 * @Author: CaoZixuan
 * @Date: 2022-05-30
 */
public class GradePaperStructResult {

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "题号类型（主观题，客观题）")
    private QuestionType numberType;

    @ApiModelProperty(value = "大题名称")
    private String bigTopicName;

    @ApiModelProperty(value = "大题号")
    private String bigQuestionNumber;

    @ApiModelProperty(value = "小题号")
    private String smallQuestionNumber;

    @ApiModelProperty(value = "满分")
    private BigDecimal fullScore;

    @ApiModelProperty(value = "计分规则")
    private String scoreRules;

    @ApiModelProperty(value = "知识模块")
    private String knowledgeDimension;

    @ApiModelProperty(value = "能力模块")
    private String abilityDimension;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public QuestionType getNumberType() {
        return numberType;
    }

    public void setNumberType(QuestionType numberType) {
        this.numberType = numberType;
    }

    public String getBigTopicName() {
        return bigTopicName;
    }

    public void setBigTopicName(String bigTopicName) {
        this.bigTopicName = bigTopicName;
    }

    public String getBigQuestionNumber() {
        return bigQuestionNumber;
    }

    public void setBigQuestionNumber(String bigQuestionNumber) {
        this.bigQuestionNumber = bigQuestionNumber;
    }

    public String getSmallQuestionNumber() {
        return smallQuestionNumber;
    }

    public void setSmallQuestionNumber(String smallQuestionNumber) {
        this.smallQuestionNumber = smallQuestionNumber;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public String getScoreRules() {
        return scoreRules;
    }

    public void setScoreRules(String scoreRules) {
        this.scoreRules = scoreRules;
    }

    public String getKnowledgeDimension() {
        return knowledgeDimension;
    }

    public void setKnowledgeDimension(String knowledgeDimension) {
        this.knowledgeDimension = knowledgeDimension;
    }

    public String getAbilityDimension() {
        return abilityDimension;
    }

    public void setAbilityDimension(String abilityDimension) {
        this.abilityDimension = abilityDimension;
    }
}
